Bug 137914 - [new port] devel/monodevelop-boo: MonoDevelop Boo language support
Summary: [new port] devel/monodevelop-boo: MonoDevelop Boo language support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-18 11:20 UTC by freebsd-mono mailing list
Modified: 2009-09-14 05:00 UTC (History)
0 users

See Also:


Attachments
monodevelop-boo.sh (13.44 KB, text/plain)
2009-08-18 11:20 UTC, freebsd-mono mailing list
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd-mono mailing list freebsd_committer 2009-08-18 11:20:01 UTC
Depends on:
  - ports/117551: [New Port] lang/boo, the boo programming language.
  - ports/117545: [New Port] devel/monodevelop
Comment 1 Edwin Groothuis freebsd_committer 2009-08-18 11:20:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mono

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Romain Tartière 2009-08-25 13:23:05 UTC
Just realised I forgot to commit changes before branching
devel/monodevelop-boo from BSD# trunk to relng-2.4 branch.

This new port replaces the previous one.

--- monodevelop-boo.sh begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	monodevelop-boo
#	monodevelop-boo/files
#	monodevelop-boo/files/patch-BooShell-Makefile
#	monodevelop-boo/files/patch-BooBinding.make
#	monodevelop-boo/files/patch-Makefile
#	monodevelop-boo/files/patch-configure
#	monodevelop-boo/distinfo
#	monodevelop-boo/pkg-descr
#	monodevelop-boo/pkg-plist
#	monodevelop-boo/Makefile
#
echo c - monodevelop-boo
mkdir -p monodevelop-boo > /dev/null 2>&1
echo c - monodevelop-boo/files
mkdir -p monodevelop-boo/files > /dev/null 2>&1
echo x - monodevelop-boo/files/patch-BooShell-Makefile
sed 's/^X//' >monodevelop-boo/files/patch-BooShell-Makefile << '8e8cb83798ac9bbce939b7a071236dd7'
X--- BooShell/Makefile.orig	2008-03-02 14:29:39.000000000 +0100
X+++ BooShell/Makefile	2008-03-02 14:29:57.000000000 +0100
X@@ -69,26 +69,26 @@
X LOCAL_PKGCONFIG=PKG_CONFIG_PATH=../../../local-config:$$PKG_CONFIG_PATH
X 
X $(ASSEMBLY) $(ASSEMBLY_MDB): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list)
X-	make pre-all-local-hook prefix=$(prefix)
X+	$(MAKE) pre-all-local-hook prefix=$(prefix)
X 	mkdir -p $(dir $(ASSEMBLY))
X-	make $(CONFIG)_BeforeBuild
X+	$(MAKE) $(CONFIG)_BeforeBuild
X 	$(LOCAL_PKGCONFIG) $(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
X-	make $(CONFIG)_AfterBuild
X-	make post-all-local-hook prefix=$(prefix)
X+	$(MAKE) $(CONFIG)_AfterBuild
X+	$(MAKE) post-all-local-hook prefix=$(prefix)
X 
X 
X install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
X-	make pre-install-local-hook prefix=$(prefix)
X+	$(MAKE) pre-install-local-hook prefix=$(prefix)
X 	mkdir -p $(INSTALL_DIR)
X 	cp $(ASSEMBLY) $(ASSEMBLY_MDB) $(INSTALL_DIR)
X 	mkdir -p $(DESTDIR)$(prefix)/lib/pkgconfig
X-	make post-install-local-hook prefix=$(prefix)
X+	$(MAKE) post-install-local-hook prefix=$(prefix)
X 
X uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
X-	make pre-uninstall-local-hook prefix=$(prefix)
X+	$(MAKE) pre-uninstall-local-hook prefix=$(prefix)
X 	rm -f $(INSTALL_DIR)/$(notdir $(ASSEMBLY))
X 	test -z '$(ASSEMBLY_MDB)' || rm -f $(INSTALL_DIR)/$(notdir $(ASSEMBLY_MDB))
X-	make post-uninstall-local-hook prefix=$(prefix)
X+	$(MAKE) post-uninstall-local-hook prefix=$(prefix)
X 
X install: install-local
X uninstall: uninstall-local
8e8cb83798ac9bbce939b7a071236dd7
echo x - monodevelop-boo/files/patch-BooBinding.make
sed 's/^X//' >monodevelop-boo/files/patch-BooBinding.make << 'd3985553468c8ed51b066b6b68bbd4f4'
X--- BooBinding.make.orig	2008-03-02 14:31:26.000000000 +0100
X+++ BooBinding.make	2008-03-02 14:31:45.000000000 +0100
X@@ -128,25 +128,25 @@
X LOCAL_PKGCONFIG=PKG_CONFIG_PATH=../../local-config:$$PKG_CONFIG_PATH
X 
X $(ASSEMBLY) $(ASSEMBLY_MDB): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list)
X-	make pre-all-local-hook prefix=$(prefix)
X+	$(MAKE) pre-all-local-hook prefix=$(prefix)
X 	mkdir -p $(dir $(ASSEMBLY))
X-	make $(CONFIG)_BeforeBuild
X+	$(MAKE) $(CONFIG)_BeforeBuild
X 	$(LOCAL_PKGCONFIG) $(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
X-	make $(CONFIG)_AfterBuild
X-	make post-all-local-hook prefix=$(prefix)
X+	$(MAKE) $(CONFIG)_AfterBuild
X+	$(MAKE) post-all-local-hook prefix=$(prefix)
X 
X 
X install-local: $(ASSEMBLY) $(ASSEMBLY_MDB) $(BOOBINDING_PC)
X-	make pre-install-local-hook prefix=$(prefix)
X+	$(MAKE) pre-install-local-hook prefix=$(prefix)
X 	mkdir -p $(INSTALL_DIR)
X 	cp $(ASSEMBLY) $(ASSEMBLY_MDB) $(INSTALL_DIR)
X 	mkdir -p $(DESTDIR)$(prefix)/lib/pkgconfig
X 	test -z '$(BOOBINDING_PC)' || cp $(BOOBINDING_PC) $(DESTDIR)$(prefix)/lib/pkgconfig
X-	make post-install-local-hook prefix=$(prefix)
X+	$(MAKE) post-install-local-hook prefix=$(prefix)
X 
X uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB) $(BOOBINDING_PC)
X-	make pre-uninstall-local-hook prefix=$(prefix)
X+	$(MAKE) pre-uninstall-local-hook prefix=$(prefix)
X 	rm -f $(INSTALL_DIR)/$(notdir $(ASSEMBLY))
X 	test -z '$(ASSEMBLY_MDB)' || rm -f $(INSTALL_DIR)/$(notdir $(ASSEMBLY_MDB))
X 	test -z '$(BOOBINDING_PC)' || rm -f $(INSTALL_DIR)/$(notdir $(BOOBINDING_PC))
X-	make post-uninstall-local-hook prefix=$(prefix)
X+	$(MAKE) post-uninstall-local-hook prefix=$(prefix)
d3985553468c8ed51b066b6b68bbd4f4
echo x - monodevelop-boo/files/patch-Makefile
sed 's/^X//' >monodevelop-boo/files/patch-Makefile << 'b58112fb74f60c624c0fc673497a4259'
X--- Makefile.orig	2008-03-02 14:28:23.000000000 +0100
X+++ Makefile	2008-03-02 14:28:43.000000000 +0100
X@@ -26,14 +26,14 @@
X 	@set . $$MAKEFLAGS; final_exit=:; \
X 	case $$2 in --unix) shift ;; esac; \
X 	case $$2 in *=*) dk="exit 1" ;; *k*) dk=: ;; *) dk="exit 1" ;; esac; \
X-	make pre-$*-hook prefix=$(prefix) ; \
X+	$(MAKE) pre-$*-hook prefix=$(prefix) ; \
X 	for dir in $(SUBDIRS); do \
X 		case $$dir in \
X-		.) make $*-local || { final_exit="exit 1"; $$dk; };;\
X-		*) (cd $$dir && make $*) || { final_exit="exit 1"; $$dk; };;\
X+		.) $(MAKE) $*-local || { final_exit="exit 1"; $$dk; };;\
X+		*) (cd $$dir && $(MAKE) $*) || { final_exit="exit 1"; $$dk; };;\
X 		esac \
X 	done; \
X-	make post-$*-hook prefix=$(prefix) ; \
X+	$(MAKE) post-$*-hook prefix=$(prefix) ; \
X 	$$final_exit
X 
X $(CONFIG_MAKE):
X@@ -47,18 +47,18 @@
X dist: $(CONFIG_MAKE)
X 	rm -rf $(PACKAGE)-$(VERSION)
X 	mkdir $(PACKAGE)-$(VERSION)
X-	make pre-dist-hook distdir=$$distdir
X+	$(MAKE) pre-dist-hook distdir=$$distdir
X 	for dir in $(SUBDIRS); do \
X 		pkgdir=`pwd`/$(PACKAGE)-$(VERSION); \
X 		mkdir $$pkgdir/$$dir || true; \
X 		case $$dir in \
X-		.) make dist-local distdir=$$pkgdir || exit 1;; \
X-		*) (cd $$dir; make dist-local distdir=$$pkgdir/$$dir) || exit 1;; \
X+		.) $(MAKE) dist-local distdir=$$pkgdir || exit 1;; \
X+		*) (cd $$dir; $(MAKE) dist-local distdir=$$pkgdir/$$dir) || exit 1;; \
X 		esac \
X 	done
X-	(make dist-local distdir=$(PACKAGE)-$(VERSION))
X-	make
X-	make post-dist-hook distsir=$$distdir
X+	($(MAKE) dist-local distdir=$(PACKAGE)-$(VERSION))
X+	$(MAKE)
X+	$(MAKE) post-dist-hook distsir=$$distdir
X 	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
X 	rm -rf $(PACKAGE)-$(VERSION)
X 	@echo "=========================================="
X@@ -69,5 +69,5 @@
X 	(mkdir test; cd test;  \
X 	tar xzvf ../$(PACKAGE)-$(VERSION).tar.gz; cd $(PACKAGE)-$(VERSION); \
X 	./configure --prefix=$$(cd `pwd`/..; pwd); \
X-	make && make install && make dist);
X+	$(MAKE) && $(MAKE) install && $(MAKE) dist);
X 	rm -rf test
b58112fb74f60c624c0fc673497a4259
echo x - monodevelop-boo/files/patch-configure
sed 's/^X//' >monodevelop-boo/files/patch-configure << 'd3d8c8d99c74406f2c8129b10b7f7091'
X--- configure.orig	2008-03-02 11:51:45.000000000 +0100
X+++ configure	2008-03-02 11:51:52.000000000 +0100
X@@ -1,4 +1,4 @@
X-#!/bin/bash
X+#!/usr/bin/env bash
X VERSION=0.19
X PACKAGE=monodevelop-boo
X prefix=/usr/local
d3d8c8d99c74406f2c8129b10b7f7091
echo x - monodevelop-boo/distinfo
sed 's/^X//' >monodevelop-boo/distinfo << 'aee69436b0a508af7738f32b95620dcb'
XMD5 (monodevelop-boo-2.0.tar.bz2) = e88d99016fcecf7c8f83b0f28ed7710a
XSHA256 (monodevelop-boo-2.0.tar.bz2) = aadfea17a5f67e85c0b736ee584992d80a99643eb79f0b34200ecfb5c757809e
XSIZE (monodevelop-boo-2.0.tar.bz2) = 58736
aee69436b0a508af7738f32b95620dcb
echo x - monodevelop-boo/pkg-descr
sed 's/^X//' >monodevelop-boo/pkg-descr << '164abce2f5b864b0ba2de58a2fa41ade'
XBoo language binding for MonoDevelop IDE.
X
XWWW:	http://www.monodevelop.org
164abce2f5b864b0ba2de58a2fa41ade
echo x - monodevelop-boo/pkg-plist
sed 's/^X//' >monodevelop-boo/pkg-plist << 'ff49228b0dccc7903ff23f162666b818'
X@comment $FreeBSD$
Xlib/monodevelop/AddIns/BooBinding/BooShell.dll.mdb
Xlib/monodevelop/AddIns/BooBinding/BooShell.dll
Xlib/monodevelop/AddIns/BooBinding/BooBinding.dll.mdb
Xlib/monodevelop/AddIns/BooBinding/BooBinding.dll
Xlib/monodevelop/AddIns/BooBinding/locale/ca/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/cs/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/da/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/de/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/es/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/fr/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/gl/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/hu/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/id/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/it/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/ja/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/nl/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/pl/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/pt/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/pt_BR/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/ru/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/sl_SI/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/sv/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/tr/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/zh_CN/LC_MESSAGES/monodevelop-boo.mo
Xlib/monodevelop/AddIns/BooBinding/locale/zh_TW/LC_MESSAGES/monodevelop-boo.mo
Xlibdata/pkgconfig/monodevelop-boo.pc
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/zh_TW/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/zh_TW
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/zh_CN/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/zh_CN
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/tr/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/tr
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/sv/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/sv
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/sl_SI/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/sl_SI
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/ru/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/ru
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/pt_BR/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/pt_BR
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/pt/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/pt
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/pl/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/pl
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/nl/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/nl
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/ja/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/ja
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/it/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/it
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/id/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/id
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/hu/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/hu
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/gl/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/gl
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/fr/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/fr
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/es/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/es
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/de/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/de
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/da/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/da
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/cs/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/cs
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/ca/LC_MESSAGES
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale/ca
X@dirrmtry lib/monodevelop/AddIns/BooBinding/locale
X@dirrmtry lib/monodevelop/AddIns/BooBinding
ff49228b0dccc7903ff23f162666b818
echo x - monodevelop-boo/Makefile
sed 's/^X//' >monodevelop-boo/Makefile << 'd2d25980941a877bb3266b0223f08638'
X# New ports collection makefile for:	monodevelop-boo
X# Date created:		2008-03-02
X# Whom:			Romain Tartiere <romain@blogreen.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	monodevelop-boo
XPORTVERSION=	2.0
XCATEGORIES=	devel
XMASTER_SITES=	http://ftp.novell.com/pub/mono/sources/${PORTNAME}/
X
XMAINTAINER=	mono@FreeBSD.org
XCOMMENT=	MonoDevelop Boo language support
X
XBUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
X		${LOCALBASE}/libdata/pkgconfig/monodevelop.pc:${PORTSDIR}/devel/monodevelop \
X		${LOCALBASE}/libdata/pkgconfig/gtksourceview-sharp-2.0.pc:${PORTSDIR}/x11-toolkits/gtksourceview-sharp \
X		booc:${PORTSDIR}/lang/boo
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XHAS_CONFIGURE=	yes
XUSE_GMAKE=	yes
XUSE_GETTEXT=	yes
XCONFIGURE_ARGS=	--prefix=${PREFIX}
XUSE_GNOME=	gtksharp20
XUSE_BZIP2=	yes
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|[(]prefix[)]/lib/pkgconfig|(prefix)/libdata/pkgconfig|g' \
X		${WRKSRC}/BooBinding.make ${WRKSRC}/BooShell/Makefile
X	@${REINPLACE_CMD} -e 's|@prefix@/lib/pkgconfig|@prefix@/libdata/pkgconfig|g' \
X		${WRKSRC}/Makefile.include
X
X.include <bsd.port.mk>
d2d25980941a877bb3266b0223f08638
exit

--- monodevelop-boo.sh ends here ---

Thanks!

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 3 dfilter service freebsd_committer 2009-09-14 04:58:47 UTC
glewis      2009-09-14 03:58:33 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/monodevelop-boo Makefile distinfo pkg-descr pkg-plist 
    devel/monodevelop-boo/files patch-BooBinding.make 
                                patch-BooShell-Makefile 
                                patch-Makefile patch-configure 
  Log:
  Boo language binding for MonoDevelop IDE.
  
  PR:             137914
  Submitted by:   Romain Tartiere <romain at blogreen.org>
  
  Revision  Changes    Path
  1.3630    +1 -0      ports/devel/Makefile
  1.1       +35 -0     ports/devel/monodevelop-boo/Makefile (new)
  1.1       +3 -0      ports/devel/monodevelop-boo/distinfo (new)
  1.1       +36 -0     ports/devel/monodevelop-boo/files/patch-BooBinding.make (new)
  1.1       +37 -0     ports/devel/monodevelop-boo/files/patch-BooShell-Makefile (new)
  1.1       +53 -0     ports/devel/monodevelop-boo/files/patch-Makefile (new)
  1.1       +8 -0      ports/devel/monodevelop-boo/files/patch-configure (new)
  1.1       +3 -0      ports/devel/monodevelop-boo/pkg-descr (new)
  1.1       +71 -0     ports/devel/monodevelop-boo/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Greg Lewis freebsd_committer 2009-09-14 05:00:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!